#include <iostream>4
using namespace std;
int main()
{
	int n,m,o=1,n1,m1;
	cin>>n>>m;
	n1=n;
	m1=m;
	string a[n][m];
	for(int i=0;i<n;i++)
	{
		for(int j=0;j<n;j++)
		cin>>a[i][j];
	}
	for(int i=0;i<n;i++)
	{
		for(int j=0;j<n;j++)
		{
			if(a[i][j]!=".")
			o=0;
		}
	}
	if(o==1)
	{
		int i=0,j=0;
		while(n>0||m>0)
		{
			a[i][j]="C";
			i++;
			j++;
			n--;
			m--;
		}
	}
else
{
	cout<<-1;
}
	for(int y=0;y<n1;y++)
	{
		for(int z=0;z<m1;z++)
		{
			cout<<a[y][z];
		}
		cout<<endl;
	}
}